# SmartSleep

Ein schlankes Skript zur Steuerung des Energiesparmodus

## Beschreibung

Das Projekt besteht aus zwei Hauptkomponenten:

### `smartsleep.sh`
Wird bei Ein- und Aufwachvorgängen des Systems ausgeführt.

- Protokolliert Systemzustände (Eintritt/Verlassen des Energiesparmodus)
- Ermittelt den Zustand von Laptop-Deckel und angeschlossener Dockingstation
- Wartet auf Druck der STRG-Taste während des Aufwachvorgangs
- Steuert den Daemon über Signale (USR1/USR2)

### `smartsleepd`
Läuft im Hintergrund und verwaltet Aufwach-Logik

- Empfängt Signale von `smartsleep.sh`
- Wechselt erneut in den Schlafmodus, wenn keine STRG-Taste gedrückt wurde